package cn.com.qmth.am.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;

import cn.com.qmth.am.dao.stmms.StmmsDao;
import cn.com.qmth.am.service.StmmsService;

@Service
@DS("data-source-stmms")
public class StmmsServiceImpl implements StmmsService {

    @Autowired
    private StmmsDao stmmsDao;

    @Override
    public List<Double> getMarkStudent(Long examId, String subjectCode, Integer mainNumber, String subNumber,
            String examNumber) {
        return stmmsDao.getMarkStudent(examId, subjectCode, mainNumber, subNumber, examNumber);
    }

    @Override
    public List<String> getUploadStudent(Long examId, String subjectCode) {
        return stmmsDao.getUploadStudent(examId, subjectCode);
    }
}
